using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BeltScaleSystem
{
    public class CalibrateData
    {
        private double measLength = 0;

        public double MeasLength
        {
            get { return measLength; }
            set { measLength = value; }
        }
        private double maxValue = 0;

        public double MaxValue
        {
            get { return maxValue; }
            set { maxValue = value; }
        }
        private double minValue = 0;

        public double MinValue
        {
            get { return minValue; }
            set { minValue = value; }
        }
        private double oldZero = 0;

        public double OldZero
        {
            get { return oldZero; }
            set { oldZero = value; }
        }
        private double newZero = 0;

        public double NewZero
        {
            get { return newZero; }
            set { newZero = value; }
        }

        private int devNo = 1;

        public int DevNo
        {
            get { return devNo; }
            set { devNo = value; }
        }

        private bool devStatus = false;

        public bool DevStatus
        {
            get { return devStatus; }
            set { devStatus = value; }
        }

        private int remainSeconds = 0;

        public int RemainSeconds
        {
            get { return remainSeconds; }
            set { remainSeconds = value; }
        }

        private StrapMeasType measType = StrapMeasType.SA600;
        public StrapMeasType MeasType
        {
            get { return measType; }
            set { measType = value; }
        }

        private string rate = "";
        /// <summary>
        /// 误差
        /// </summary>
        public string Rate
        {
            get { return rate; }
            set { rate = value; }
        }

    }
}
